Package com.independentsoft.office.odf.styles

# Enum Class FillStyle

java.lang.Object
java.lang.Enum<FillStyle>
com.independentsoft.office.odf.styles.FillStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<FillStyle>`, `Constable`

public enum FillStyle extends Enum<FillStyle>
Represents the fill style for a graphic object.Graphic objects that are not closed will not be filled.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BITMAP`
  The drawing is filled with the bitmap.
  `GRADIENT`
  The drawing is filled with the gradient.
  `HATCH`
  The drawing is filled with the hatch.
  `NONE`
  The drawing is not filled.
  `SOLID`
  The drawing is filled with color.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FillStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FillStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SOLID

    public static final FillStyle SOLID
    The drawing is filled with color.

  - ### BITMAP

    public static final FillStyle BITMAP
    The drawing is filled with the bitmap.

  - ### GRADIENT

    public static final FillStyle GRADIENT
    The drawing is filled with the gradient.

  - ### HATCH

    public static final FillStyle HATCH
    The drawing is filled with the hatch.

  - ### NONE

    public static final FillStyle NONE
    The drawing is not filled.

- ## Method Details

  - ### values

    public static FillStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FillStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null